#!/bin/sh

CAMNAME="Oscam8988"

remove_tmp () {
	rm -rf /tmp/*.info* /tmp/*.tmp*
}

case "$1" in
	start)
	echo "[SCRIPT] $1: $CAMNAME"
	remove_tmp
	/usr/bin/oscam-1.20-unstable_svn8988-mipsel-unknown-linux-gnu-static &
	;;
	stop)
	echo "[SCRIPT] $1: $CAMNAME"
	killall -9 oscam-1.20-unstable_svn8988-mipsel-unknown-linux-gnu-static 2>/dev/null
	sleep 3	
	remove_tmp
	;;
	*)
	$0 stop
	exit 0
	;;
esac

exit 0
